'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _immutable = require('immutable');

var _immutable2 = _interopRequireDefault(_immutable);

var _reactIntl = require('react-intl');

var _recordDataHelpers = require('../../helpers/recordDataHelpers');

var _RecordTitleBar = require('../../../styles/cspace-ui/RecordTitleBar.css');

var _RecordTitleBar2 = _interopRequireDefault(_RecordTitleBar);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; } /* global window */

var RecordTitleBar = function (_Component) {
  _inherits(RecordTitleBar, _Component);

  function RecordTitleBar(props, context) {
    _classCallCheck(this, RecordTitleBar);

    var _this = _possibleConstructorReturn(this, (RecordTitleBar.__proto__ || Object.getPrototypeOf(RecordTitleBar)).call(this, props, context));

    _this.setDomNode = _this.setDomNode.bind(_this);
    _this.handleScroll = _this.handleScroll.bind(_this);

    _this.state = {
      docked: false
    };
    return _this;
  }

  _createClass(RecordTitleBar, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      window.addEventListener('scroll', this.handleScroll, false);
    }
  }, {
    key: 'componentWillUnmount',
    value: function componentWillUnmount() {
      window.removeEventListener('scroll', this.handleScroll, false);
    }
  }, {
    key: 'setDomNode',
    value: function setDomNode(ref) {
      this.domNode = ref;
    }
  }, {
    key: 'handleScroll',
    value: function handleScroll() {
      var node = this.domNode;

      if (this.state.docked) {
        if (window.scrollY < node.offsetTop) {
          this.setState({
            docked: false
          });
        }
      } else if (window.scrollY >= node.offsetTop) {
        this.setState({
          docked: true
        });
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var _props = this.props;
      var data = _props.data;
      var recordType = _props.recordType;
      var docked = this.state.docked;
      var recordTypePlugins = this.context.recordTypePlugins;


      var recordTypePlugin = recordTypePlugins[recordType];

      if (!recordTypePlugin) {
        return null;
      }

      var cspaceDocument = data ? data.get(_recordDataHelpers.DOCUMENT_PROPERTY_NAME) : undefined;
      var className = docked ? _RecordTitleBar2.default.docked : _RecordTitleBar2.default.common;
      var inlineStyle = docked ? { height: this.domNode.offsetHeight } : {};

      return _react2.default.createElement(
        'header',
        {
          className: className,
          ref: this.setDomNode,
          style: inlineStyle
        },
        _react2.default.createElement(
          'div',
          { className: _RecordTitleBar2.default.inner },
          _react2.default.createElement(
            'h1',
            { className: _RecordTitleBar2.default.title },
            recordTypePlugin.pageTitle(cspaceDocument)
          ),
          _react2.default.createElement(
            'h2',
            { className: _RecordTitleBar2.default.recordType },
            _react2.default.createElement(_reactIntl.FormattedMessage, recordTypePlugin.messageDescriptors.recordNameTitle)
          )
        )
      );
    }
  }]);

  return RecordTitleBar;
}(_react.Component);

exports.default = RecordTitleBar;


RecordTitleBar.propTypes = {
  data: _react.PropTypes.instanceOf(_immutable2.default.Map),
  // isReadPending: PropTypes.bool,
  recordType: _react.PropTypes.string
};

RecordTitleBar.contextTypes = {
  recordTypePlugins: _react.PropTypes.object
};