'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactRedux = require('react-redux');

var _reactRouter = require('react-router');

var _RecordButtonBar = require('../../components/record/RecordButtonBar');

var _RecordButtonBar2 = _interopRequireDefault(_RecordButtonBar);

var _actions = require('../../actions');

var _reducers = require('../../reducers');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var mapStateToProps = function mapStateToProps(state, ownProps) {
  var csid = ownProps.csid;


  return {
    isSavePending: (0, _reducers.isRecordSavePending)(state, csid)
  };
};

var mapDispatchToProps = function mapDispatchToProps(dispatch, ownProps) {
  var csid = ownProps.csid;
  var recordType = ownProps.recordType;
  var router = ownProps.router;
  var serviceConfig = ownProps.serviceConfig;


  return {
    onSaveButtonClick: function onSaveButtonClick() {
      dispatch((0, _actions.saveRecord)(recordType, serviceConfig, csid, router.replace));
    }
  };
};

exports.default = (0, _reactRouter.withRouter)((0, _reactRedux.connect)(mapStateToProps, mapDispatchToProps)(_RecordButtonBar2.default));