'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _cspaceInput = require('cspace-input');

var _Panel = require('../../../components/layout/Panel');

var _Panel2 = _interopRequireDefault(_Panel);

var _Row = require('../../../components/layout/Row');

var _Row2 = _interopRequireDefault(_Row);

var _recordDataHelpers = require('../../../helpers/recordDataHelpers');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = _react2.default.createElement(
  _cspaceInput.CompoundInput,
  { defaultChildSubpath: (0, _recordDataHelpers.getPartPropertyName)('collectionobjects_common') },
  _react2.default.createElement(
    _Panel2.default,
    { name: 'idPanel', collapsible: true },
    _react2.default.createElement(
      _Row2.default,
      null,
      _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(_cspaceInput.IDGeneratorInput, { name: 'objectNumber' }),
        _react2.default.createElement(_cspaceInput.TextInput, { name: 'numberOfObjects' }),
        _react2.default.createElement(
          _cspaceInput.CompoundInput,
          { name: 'otherNumberList' },
          _react2.default.createElement(
            _cspaceInput.CompoundInput,
            { name: 'otherNumber', tabular: true, repeating: true },
            _react2.default.createElement(_cspaceInput.TextInput, { name: 'numberValue' }),
            _react2.default.createElement(_cspaceInput.TextInput, { name: 'numberType' })
          )
        ),
        _react2.default.createElement(
          _cspaceInput.CompoundInput,
          { name: 'responsibleDepartments' },
          _react2.default.createElement(_cspaceInput.TextInput, { name: 'responsibleDepartment', repeating: true })
        ),
        _react2.default.createElement(_cspaceInput.TextInput, { name: 'collection' }),
        _react2.default.createElement(_cspaceInput.TextInput, { name: 'recordStatus' })
      ),
      _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(
          _cspaceInput.CompoundInput,
          { name: 'briefDescriptions' },
          _react2.default.createElement(_cspaceInput.TextInput, { name: 'briefDescription', multiline: true, repeating: true })
        ),
        _react2.default.createElement(_cspaceInput.TextInput, { name: 'distinguishingFeatures', multiline: true }),
        _react2.default.createElement(
          _cspaceInput.CompoundInput,
          { name: 'comments' },
          _react2.default.createElement(_cspaceInput.TextInput, { name: 'comment', multiline: true, repeating: true })
        )
      )
    ),
    _react2.default.createElement(_cspaceInput.TextInput, { name: 'computedCurrentLocation' }),
    _react2.default.createElement(
      _cspaceInput.CompoundInput,
      { name: 'titleGroupList' },
      _react2.default.createElement(
        _cspaceInput.CompoundInput,
        { name: 'titleGroup', repeating: true },
        _react2.default.createElement(
          _Panel2.default,
          null,
          _react2.default.createElement(
            _Row2.default,
            null,
            _react2.default.createElement(
              'div',
              null,
              _react2.default.createElement(_cspaceInput.TextInput, { name: 'title' }),
              _react2.default.createElement(_cspaceInput.TextInput, { name: 'titleLanguage' })
            ),
            _react2.default.createElement(
              'div',
              null,
              _react2.default.createElement(_cspaceInput.TextInput, { name: 'titleType' }),
              _react2.default.createElement(
                _cspaceInput.CompoundInput,
                { name: 'titleTranslationSubGroupList' },
                _react2.default.createElement(
                  _cspaceInput.CompoundInput,
                  { name: 'titleTranslationSubGroup', tabular: true, repeating: true },
                  _react2.default.createElement(_cspaceInput.TextInput, { name: 'titleTranslation' }),
                  _react2.default.createElement(_cspaceInput.TextInput, { name: 'titleTranslationLanguage' })
                )
              )
            )
          )
        )
      )
    ),
    _react2.default.createElement(
      _cspaceInput.CompoundInput,
      { name: 'objectNameList' },
      _react2.default.createElement(
        _cspaceInput.CompoundInput,
        { name: 'objectNameGroup', tabular: true, repeating: true },
        _react2.default.createElement(_cspaceInput.TextInput, { name: 'objectName' }),
        _react2.default.createElement(_cspaceInput.TextInput, { name: 'objectNameCurrency' }),
        _react2.default.createElement(_cspaceInput.TextInput, { name: 'objectNameLevel' }),
        _react2.default.createElement(_cspaceInput.TextInput, { name: 'objectNameSystem' }),
        _react2.default.createElement(_cspaceInput.TextInput, { name: 'objectNameType' }),
        _react2.default.createElement(_cspaceInput.TextInput, { name: 'objectNameLanguage' }),
        _react2.default.createElement(_cspaceInput.TextInput, { name: 'objectNameNote' })
      )
    )
  ),
  _react2.default.createElement(
    _Panel2.default,
    { name: 'descPanel', collapsible: true },
    _react2.default.createElement(
      _Row2.default,
      null,
      _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(_cspaceInput.TextInput, { name: 'copyNumber' }),
        _react2.default.createElement(
          _cspaceInput.CompoundInput,
          { name: 'objectStatusList' },
          _react2.default.createElement(_cspaceInput.StaticControlledInput, { name: 'objectStatus', repeating: true })
        ),
        _react2.default.createElement(_cspaceInput.StaticControlledInput, { name: 'sex' }),
        _react2.default.createElement(_cspaceInput.StaticControlledInput, { name: 'phase' }),
        _react2.default.createElement(
          _cspaceInput.CompoundInput,
          { name: 'forms' },
          _react2.default.createElement(_cspaceInput.StaticControlledInput, { name: 'form', repeating: true })
        )
      ),
      _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(_cspaceInput.TextInput, { name: 'editionNumber' }),
        _react2.default.createElement(
          _cspaceInput.CompoundInput,
          { tabular: true, msgkey: 'ageGroup' },
          _react2.default.createElement(_cspaceInput.TextInput, { name: 'age' }),
          _react2.default.createElement(_cspaceInput.VocabularyControlledInput, { name: 'ageQualifier' }),
          _react2.default.createElement(_cspaceInput.StaticControlledInput, { name: 'ageUnit' })
        ),
        _react2.default.createElement(
          _cspaceInput.CompoundInput,
          { name: 'styles' },
          _react2.default.createElement(_cspaceInput.TextInput, { name: 'style', repeating: true })
        ),
        _react2.default.createElement(
          _cspaceInput.CompoundInput,
          { name: 'colors' },
          _react2.default.createElement(_cspaceInput.TextInput, { name: 'color', repeating: true })
        )
      )
    ),
    _react2.default.createElement(
      _cspaceInput.CompoundInput,
      { name: 'materialGroupList' },
      _react2.default.createElement(
        _cspaceInput.CompoundInput,
        { name: 'materialGroup', tabular: true, repeating: true },
        _react2.default.createElement(_cspaceInput.TextInput, { name: 'material' }),
        _react2.default.createElement(_cspaceInput.TextInput, { name: 'materialComponent' }),
        _react2.default.createElement(_cspaceInput.TextInput, { name: 'materialComponentNote' }),
        _react2.default.createElement(_cspaceInput.TextInput, { name: 'materialName' }),
        _react2.default.createElement(_cspaceInput.TextInput, { name: 'materialSource' })
      )
    ),
    _react2.default.createElement(_cspaceInput.TextInput, { name: 'physicalDescription', multiline: true }),
    _react2.default.createElement(
      _Row2.default,
      null,
      _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(
          _cspaceInput.CompoundInput,
          { name: 'objectComponentGroupList' },
          _react2.default.createElement(
            _cspaceInput.CompoundInput,
            { name: 'objectComponentGroup', tabular: true, repeating: true },
            _react2.default.createElement(_cspaceInput.StaticControlledInput, { name: 'objectComponentName' }),
            _react2.default.createElement(_cspaceInput.TextInput, { name: 'objectComponentInformation' })
          )
        )
      ),
      _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(
          _cspaceInput.CompoundInput,
          { name: 'technicalAttributeGroupList' },
          _react2.default.createElement(
            _cspaceInput.CompoundInput,
            { name: 'technicalAttributeGroup', tabular: true, repeating: true },
            _react2.default.createElement(_cspaceInput.StaticControlledInput, { name: 'technicalAttribute' }),
            _react2.default.createElement(_cspaceInput.StaticControlledInput, { name: 'technicalAttributeMeasurement' }),
            _react2.default.createElement(_cspaceInput.StaticControlledInput, { name: 'technicalAttributeMeasurementUnit' })
          )
        )
      )
    ),
    _react2.default.createElement(
      _cspaceInput.CompoundInput,
      { name: 'measuredPartGroupList' },
      _react2.default.createElement(
        _cspaceInput.CompoundInput,
        { name: 'measuredPartGroup', repeating: true },
        _react2.default.createElement(
          _Panel2.default,
          null,
          _react2.default.createElement(
            _Row2.default,
            null,
            _react2.default.createElement(
              'div',
              null,
              _react2.default.createElement(_cspaceInput.StaticControlledInput, { name: 'measuredPart' })
            ),
            _react2.default.createElement(
              'div',
              null,
              _react2.default.createElement(_cspaceInput.TextInput, { name: 'dimensionSummary' })
            )
          ),
          _react2.default.createElement(
            _cspaceInput.CompoundInput,
            { name: 'dimensionSubGroupList' },
            _react2.default.createElement(
              _cspaceInput.CompoundInput,
              { name: 'dimensionSubGroup', tabular: true, repeating: true },
              _react2.default.createElement(_cspaceInput.StaticControlledInput, { name: 'dimension' }),
              _react2.default.createElement(_cspaceInput.AuthorityControlledInput, { name: 'measuredBy' }),
              _react2.default.createElement(_cspaceInput.StaticControlledInput, { name: 'measurementMethod' }),
              _react2.default.createElement(_cspaceInput.TextInput, { name: 'value' }),
              _react2.default.createElement(_cspaceInput.StaticControlledInput, { name: 'measurementUnit' }),
              _react2.default.createElement(_cspaceInput.TextInput, { name: 'valueQualifier' }),
              _react2.default.createElement(_cspaceInput.DateInput, { name: 'valueDate' })
            )
          )
        )
      )
    ),
    _react2.default.createElement(
      _Panel2.default,
      { name: 'contentPanel', collapsible: true, collapsed: true },
      _react2.default.createElement(_cspaceInput.TextInput, { name: 'contentDescription', multiline: true }),
      _react2.default.createElement(
        _Row2.default,
        null,
        _react2.default.createElement(
          'div',
          null,
          _react2.default.createElement(
            _cspaceInput.CompoundInput,
            { name: 'contentLanguages' },
            _react2.default.createElement(_cspaceInput.VocabularyControlledInput, { name: 'contentLanguage', repeating: true })
          ),
          _react2.default.createElement(
            _cspaceInput.CompoundInput,
            { name: 'contentActivities' },
            _react2.default.createElement(_cspaceInput.TextInput, { name: 'contentActivity', repeating: true })
          ),
          _react2.default.createElement(
            _cspaceInput.CompoundInput,
            { name: 'contentConcepts' },
            _react2.default.createElement(_cspaceInput.AuthorityControlledInput, { name: 'contentConcept', repeating: true })
          ),
          _react2.default.createElement(_cspaceInput.StructuredDateInput, { name: 'contentDate' }),
          _react2.default.createElement(
            _cspaceInput.CompoundInput,
            { name: 'contentPositions' },
            _react2.default.createElement(_cspaceInput.StaticControlledInput, { name: 'contentPosition', repeating: true })
          ),
          _react2.default.createElement(
            _cspaceInput.CompoundInput,
            { name: 'contentObjectGroupList' },
            _react2.default.createElement(
              _cspaceInput.CompoundInput,
              { name: 'contentObjectGroup', tabular: true, repeating: true },
              _react2.default.createElement(_cspaceInput.TextInput, { name: 'contentObject' }),
              _react2.default.createElement(_cspaceInput.StaticControlledInput, { name: 'contentObjectType' })
            )
          )
        ),
        _react2.default.createElement(
          'div',
          null,
          _react2.default.createElement(
            _cspaceInput.CompoundInput,
            { name: 'contentPeoples' },
            _react2.default.createElement(_cspaceInput.TextInput, { name: 'contentPeople', repeating: true })
          ),
          _react2.default.createElement(
            _cspaceInput.CompoundInput,
            { name: 'contentPersons' },
            _react2.default.createElement(_cspaceInput.AuthorityControlledInput, { name: 'contentPerson', repeating: true })
          ),
          _react2.default.createElement(
            _cspaceInput.CompoundInput,
            { name: 'contentPlaces' },
            _react2.default.createElement(_cspaceInput.TextInput, { name: 'contentPlace', repeating: true })
          ),
          _react2.default.createElement(
            _cspaceInput.CompoundInput,
            { name: 'contentScripts' },
            _react2.default.createElement(_cspaceInput.StaticControlledInput, { name: 'contentScript', repeating: true })
          ),
          _react2.default.createElement(
            _cspaceInput.CompoundInput,
            { name: 'contentOrganizations' },
            _react2.default.createElement(_cspaceInput.AuthorityControlledInput, { name: 'contentOrganization', repeating: true })
          ),
          _react2.default.createElement(
            _cspaceInput.CompoundInput,
            { name: 'contentEventNameGroupList' },
            _react2.default.createElement(
              _cspaceInput.CompoundInput,
              { name: 'contentEventNameGroup', tabular: true, repeating: true },
              _react2.default.createElement(_cspaceInput.TextInput, { name: 'contentEventName' }),
              _react2.default.createElement(_cspaceInput.TextInput, { name: 'contentEventNameType' })
            )
          ),
          _react2.default.createElement(
            _cspaceInput.CompoundInput,
            { name: 'contentOtherGroupList' },
            _react2.default.createElement(
              _cspaceInput.CompoundInput,
              { name: 'contentOtherGroup', tabular: true, repeating: true },
              _react2.default.createElement(_cspaceInput.TextInput, { name: 'contentOther' }),
              _react2.default.createElement(_cspaceInput.TextInput, { name: 'contentOtherType' })
            )
          )
        )
      ),
      _react2.default.createElement(_cspaceInput.TextInput, { name: 'contentNote', multiline: true })
    ),
    _react2.default.createElement(
      _Panel2.default,
      { name: 'textInscriptPanel', collapsible: true, collapsed: true },
      _react2.default.createElement(
        _cspaceInput.CompoundInput,
        { name: 'textualInscriptionGroupList' },
        _react2.default.createElement(
          _cspaceInput.CompoundInput,
          { name: 'textualInscriptionGroup', repeating: true },
          _react2.default.createElement(
            _Panel2.default,
            null,
            _react2.default.createElement(_cspaceInput.TextInput, { name: 'inscriptionContent', multiline: true }),
            _react2.default.createElement(
              _Row2.default,
              null,
              _react2.default.createElement(
                'div',
                null,
                _react2.default.createElement(_cspaceInput.AuthorityControlledInput, { name: 'inscriptionContentInscriber' }),
                _react2.default.createElement(_cspaceInput.VocabularyControlledInput, { name: 'inscriptionContentLanguage' }),
                _react2.default.createElement(_cspaceInput.StructuredDateInput, { name: 'inscriptionContentDateGroup' })
              ),
              _react2.default.createElement(
                'div',
                null,
                _react2.default.createElement(_cspaceInput.StaticControlledInput, { name: 'inscriptionContentPosition' }),
                _react2.default.createElement(_cspaceInput.StaticControlledInput, { name: 'inscriptionContentScript' }),
                _react2.default.createElement(_cspaceInput.StaticControlledInput, { name: 'inscriptionContentType' }),
                _react2.default.createElement(_cspaceInput.TextInput, { name: 'inscriptionContentMethod' })
              )
            ),
            _react2.default.createElement(_cspaceInput.TextInput, { name: 'inscriptionContentInterpretation', multiline: true }),
            _react2.default.createElement(_cspaceInput.TextInput, { name: 'inscriptionContentTranslation' }),
            _react2.default.createElement(_cspaceInput.TextInput, { name: 'inscriptionContentTransliteration' })
          )
        )
      )
    ),
    _react2.default.createElement(
      _Panel2.default,
      { name: 'nonTextInscriptPanel', collapsible: true, collapsed: true },
      _react2.default.createElement(
        _cspaceInput.CompoundInput,
        { name: 'nonTextualInscriptionGroupList' },
        _react2.default.createElement(
          _cspaceInput.CompoundInput,
          { name: 'nonTextualInscriptionGroup', repeating: true },
          _react2.default.createElement(
            _Panel2.default,
            null,
            _react2.default.createElement(_cspaceInput.TextInput, { name: 'inscriptionDescription', multiline: true }),
            _react2.default.createElement(
              _Row2.default,
              null,
              _react2.default.createElement(
                'div',
                null,
                _react2.default.createElement(_cspaceInput.AuthorityControlledInput, { name: 'inscriptionDescriptionInscriber' }),
                _react2.default.createElement(_cspaceInput.StructuredDateInput, { name: 'inscriptionDescriptionDateGroup' })
              ),
              _react2.default.createElement(
                'div',
                null,
                _react2.default.createElement(_cspaceInput.StaticControlledInput, { name: 'inscriptionDescriptionPosition' }),
                _react2.default.createElement(_cspaceInput.StaticControlledInput, { name: 'inscriptionDescriptionType' }),
                _react2.default.createElement(_cspaceInput.TextInput, { name: 'inscriptionDescriptionMethod' })
              )
            ),
            _react2.default.createElement(_cspaceInput.TextInput, { name: 'inscriptionDescriptionInterpretation', multiline: true })
          )
        )
      )
    )
  ),
  _react2.default.createElement(
    _Panel2.default,
    { name: 'prodPanel', collapsible: true, collapsed: true },
    _react2.default.createElement(
      _Row2.default,
      null,
      _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(
          _cspaceInput.CompoundInput,
          { name: 'objectProductionDateGroupList' },
          _react2.default.createElement(_cspaceInput.StructuredDateInput, { name: 'objectProductionDateGroup', repeating: true })
        ),
        _react2.default.createElement(
          _cspaceInput.CompoundInput,
          { name: 'techniqueGroupList' },
          _react2.default.createElement(
            _cspaceInput.CompoundInput,
            { name: 'techniqueGroup', tabular: true, repeating: true },
            _react2.default.createElement(_cspaceInput.TextInput, { name: 'technique' }),
            _react2.default.createElement(_cspaceInput.TextInput, { name: 'techniqueType' })
          )
        ),
        _react2.default.createElement(
          _cspaceInput.CompoundInput,
          { name: 'objectProductionPlaceGroupList' },
          _react2.default.createElement(
            _cspaceInput.CompoundInput,
            { name: 'objectProductionPlaceGroup', tabular: true, repeating: true },
            _react2.default.createElement(_cspaceInput.TextInput, { name: 'objectProductionPlace' }),
            _react2.default.createElement(_cspaceInput.TextInput, { name: 'objectProductionPlaceRole' })
          )
        ),
        _react2.default.createElement(
          _cspaceInput.CompoundInput,
          { name: 'objectProductionReasons' },
          _react2.default.createElement(_cspaceInput.TextInput, { name: 'objectProductionReason', multiline: true, reapeating: true })
        )
      ),
      _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(
          _cspaceInput.CompoundInput,
          { name: 'objectProductionPeopleGroupList' },
          _react2.default.createElement(
            _cspaceInput.CompoundInput,
            { name: 'objectProductionPeopleGroup', tabular: true, repeating: true },
            _react2.default.createElement(_cspaceInput.TextInput, { name: 'objectProductionPeople' }),
            _react2.default.createElement(_cspaceInput.TextInput, { name: 'objectProductionPeopleRole' })
          )
        ),
        _react2.default.createElement(
          _cspaceInput.CompoundInput,
          { name: 'objectProductionPersonGroupList' },
          _react2.default.createElement(
            _cspaceInput.CompoundInput,
            { name: 'objectProductionPersonGroup', tabular: true, repeating: true },
            _react2.default.createElement(_cspaceInput.AuthorityControlledInput, { name: 'objectProductionPerson' }),
            _react2.default.createElement(_cspaceInput.TextInput, { name: 'objectProductionPersonRole' })
          )
        ),
        _react2.default.createElement(
          _cspaceInput.CompoundInput,
          { name: 'objectProductionOrganizationGroupList' },
          _react2.default.createElement(
            _cspaceInput.CompoundInput,
            { name: 'objectProductionOrganizationGroup', tabular: true, repeating: true },
            _react2.default.createElement(_cspaceInput.AuthorityControlledInput, { name: 'objectProductionOrganization' }),
            _react2.default.createElement(_cspaceInput.TextInput, { name: 'objectProductionOrganizationRole' })
          )
        ),
        _react2.default.createElement(_cspaceInput.TextInput, { name: 'objectProductionNote', multiline: true })
      )
    )
  ),
  _react2.default.createElement(
    _Panel2.default,
    { name: 'histPanel', collapsible: true, collapsed: true },
    _react2.default.createElement(
      _Panel2.default,
      { name: 'assocPanel', collapsible: true, collapsed: true },
      _react2.default.createElement(
        _Row2.default,
        null,
        _react2.default.createElement(
          'div',
          null,
          _react2.default.createElement(
            _cspaceInput.CompoundInput,
            { name: 'assocActivityGroupList' },
            _react2.default.createElement(
              _cspaceInput.CompoundInput,
              { name: 'assocActivityGroup', tabular: true, repeating: true },
              _react2.default.createElement(_cspaceInput.TextInput, { name: 'assocActivity' }),
              _react2.default.createElement(_cspaceInput.TextInput, { name: 'assocActivityType' }),
              _react2.default.createElement(_cspaceInput.TextInput, { name: 'assocActivityNote' })
            )
          ),
          _react2.default.createElement(
            _cspaceInput.CompoundInput,
            { name: 'assocObjectGroupList' },
            _react2.default.createElement(
              _cspaceInput.CompoundInput,
              { name: 'assocObjectGroup', tabular: true, repeating: true },
              _react2.default.createElement(_cspaceInput.TextInput, { name: 'assocObject' }),
              _react2.default.createElement(_cspaceInput.TextInput, { name: 'assocObjectType' }),
              _react2.default.createElement(_cspaceInput.TextInput, { name: 'assocObjectNote' })
            )
          ),
          _react2.default.createElement(
            _cspaceInput.CompoundInput,
            { name: 'assocConceptGroupList' },
            _react2.default.createElement(
              _cspaceInput.CompoundInput,
              { name: 'assocConceptGroup', tabular: true, repeating: true },
              _react2.default.createElement(_cspaceInput.AuthorityControlledInput, { name: 'assocConcept' }),
              _react2.default.createElement(_cspaceInput.TextInput, { name: 'assocConceptType' }),
              _react2.default.createElement(_cspaceInput.TextInput, { name: 'assocConceptNote' })
            )
          ),
          _react2.default.createElement(
            _cspaceInput.CompoundInput,
            { name: 'assocCulturalContextGroupList' },
            _react2.default.createElement(
              _cspaceInput.CompoundInput,
              { name: 'assocCulturalContextGroup', tabular: true, repeating: true },
              _react2.default.createElement(_cspaceInput.TextInput, { name: 'assocCulturalContext' }),
              _react2.default.createElement(_cspaceInput.TextInput, { name: 'assocCulturalContextType' }),
              _react2.default.createElement(_cspaceInput.TextInput, { name: 'assocCulturalContextNote' })
            )
          ),
          _react2.default.createElement(
            _cspaceInput.CompoundInput,
            { name: 'assocOrganizationGroupList' },
            _react2.default.createElement(
              _cspaceInput.CompoundInput,
              { name: 'assocOrganizationGroup', tabular: true, repeating: true },
              _react2.default.createElement(_cspaceInput.AuthorityControlledInput, { name: 'assocOrganization' }),
              _react2.default.createElement(_cspaceInput.TextInput, { name: 'assocOrganizationType' }),
              _react2.default.createElement(_cspaceInput.TextInput, { name: 'assocOrganizationNote' })
            )
          ),
          _react2.default.createElement(
            _cspaceInput.CompoundInput,
            { name: 'assocPeopleGroupList' },
            _react2.default.createElement(
              _cspaceInput.CompoundInput,
              { name: 'assocPeopleGroup', tabular: true, repeating: true },
              _react2.default.createElement(_cspaceInput.TextInput, { name: 'assocPeople' }),
              _react2.default.createElement(_cspaceInput.TextInput, { name: 'assocPeopleType' }),
              _react2.default.createElement(_cspaceInput.TextInput, { name: 'assocPeopleNote' })
            )
          ),
          _react2.default.createElement(
            _cspaceInput.CompoundInput,
            { name: 'assocPersonGroupList' },
            _react2.default.createElement(
              _cspaceInput.CompoundInput,
              { name: 'assocPersonGroup', tabular: true, repeating: true },
              _react2.default.createElement(_cspaceInput.AuthorityControlledInput, { name: 'assocPerson' }),
              _react2.default.createElement(_cspaceInput.TextInput, { name: 'assocPersonType' }),
              _react2.default.createElement(_cspaceInput.TextInput, { name: 'assocPersonNote' })
            )
          ),
          _react2.default.createElement(
            _cspaceInput.CompoundInput,
            { name: 'assocPlaceGroupList' },
            _react2.default.createElement(
              _cspaceInput.CompoundInput,
              { name: 'assocPlaceGroup', tabular: true, repeating: true },
              _react2.default.createElement(_cspaceInput.TextInput, { name: 'assocPlace' }),
              _react2.default.createElement(_cspaceInput.TextInput, { name: 'assocPlaceType' }),
              _react2.default.createElement(_cspaceInput.TextInput, { name: 'assocPlaceNote' })
            )
          )
        ),
        _react2.default.createElement(
          'div',
          null,
          _react2.default.createElement(
            _Panel2.default,
            null,
            _react2.default.createElement(
              _cspaceInput.CompoundInput,
              { tabular: true, msgkey: 'assocEventGroup' },
              _react2.default.createElement(_cspaceInput.TextInput, { name: 'assocEventName' }),
              _react2.default.createElement(_cspaceInput.TextInput, { name: 'assocEventNameType' })
            ),
            _react2.default.createElement(
              _cspaceInput.CompoundInput,
              { name: 'assocEventOrganizations' },
              _react2.default.createElement(_cspaceInput.AuthorityControlledInput, { name: 'assocEventOrganization', repeating: true })
            ),
            _react2.default.createElement(
              _cspaceInput.CompoundInput,
              { name: 'assocEventPeoples' },
              _react2.default.createElement(_cspaceInput.TextInput, { name: 'assocEventPeople', repeating: true })
            ),
            _react2.default.createElement(
              _cspaceInput.CompoundInput,
              { name: 'assocEventPersons' },
              _react2.default.createElement(_cspaceInput.AuthorityControlledInput, { name: 'assocEventPerson', repeating: true })
            ),
            _react2.default.createElement(
              _cspaceInput.CompoundInput,
              { name: 'assocEventPlaces' },
              _react2.default.createElement(_cspaceInput.TextInput, { name: 'assocEventPlace', repeating: true })
            ),
            _react2.default.createElement(_cspaceInput.TextInput, { name: 'assocEventNote' })
          ),
          _react2.default.createElement(
            _cspaceInput.CompoundInput,
            { name: 'assocDateGroupList' },
            _react2.default.createElement(
              _cspaceInput.CompoundInput,
              { name: 'assocDateGroup', tabular: true, repeating: true },
              _react2.default.createElement(_cspaceInput.StructuredDateInput, { name: 'assocStructuredDateGroup' }),
              _react2.default.createElement(_cspaceInput.TextInput, { name: 'assocDateType' }),
              _react2.default.createElement(_cspaceInput.TextInput, { name: 'assocDateNote' })
            )
          )
        )
      )
    ),
    _react2.default.createElement(_cspaceInput.TextInput, { name: 'objectHistoryNote', multiline: true }),
    _react2.default.createElement(
      _cspaceInput.CompoundInput,
      { name: 'usageGroupList' },
      _react2.default.createElement(
        _cspaceInput.CompoundInput,
        { name: 'usageGroup', tabular: true, repeating: true },
        _react2.default.createElement(_cspaceInput.TextInput, { name: 'usage' }),
        _react2.default.createElement(_cspaceInput.TextInput, { name: 'usageNote' })
      )
    ),
    _react2.default.createElement(
      _Row2.default,
      null,
      _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(
          _cspaceInput.CompoundInput,
          { name: 'owners' },
          _react2.default.createElement(_cspaceInput.AuthorityControlledInput, { name: 'owner', repeating: true })
        ),
        _react2.default.createElement(
          _cspaceInput.CompoundInput,
          { name: 'ownershipDateGroupList' },
          _react2.default.createElement(_cspaceInput.StructuredDateInput, { name: 'ownershipDateGroup', repeating: true })
        )
      ),
      _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(
          _Row2.default,
          null,
          _react2.default.createElement(
            'div',
            null,
            _react2.default.createElement(_cspaceInput.StaticControlledInput, { name: 'ownershipAccess' })
          ),
          _react2.default.createElement(
            'div',
            null,
            _react2.default.createElement(_cspaceInput.StaticControlledInput, { name: 'ownershipCategory' })
          )
        ),
        _react2.default.createElement(_cspaceInput.TextInput, { name: 'ownershipPlace' })
      )
    ),
    _react2.default.createElement(
      _cspaceInput.CompoundInput,
      { tabular: true, msgkey: 'ownershipExchangeGroup' },
      _react2.default.createElement(_cspaceInput.StaticControlledInput, { name: 'ownershipExchangeMethod' }),
      _react2.default.createElement(_cspaceInput.TextInput, { name: 'ownershipExchangeNote' }),
      _react2.default.createElement(_cspaceInput.VocabularyControlledInput, { name: 'ownershipExchangePriceCurrency' }),
      _react2.default.createElement(_cspaceInput.TextInput, { name: 'ownershipExchangePriceValue' })
    )
  ),
  _react2.default.createElement(
    _Panel2.default,
    { name: 'ownerPanel', collapsible: true, collapsed: true },
    _react2.default.createElement(_cspaceInput.TextInput, { name: 'ownersPersonalExperience', multiline: true }),
    _react2.default.createElement(_cspaceInput.TextInput, { name: 'ownersPersonalResponse', multiline: true }),
    _react2.default.createElement(
      _cspaceInput.CompoundInput,
      { name: 'ownersReferences' },
      _react2.default.createElement(_cspaceInput.TextInput, { name: 'ownersReference', repeating: true })
    ),
    _react2.default.createElement(_cspaceInput.TextInput, { name: 'ownersContributionNote', multiline: true })
  ),
  _react2.default.createElement(
    _Panel2.default,
    { name: 'viewerPanel', collapsible: true, collapsed: true },
    _react2.default.createElement(_cspaceInput.TextInput, { name: 'viewersRole' }),
    _react2.default.createElement(_cspaceInput.TextInput, { name: 'viewersPersonalExperience', multiline: true }),
    _react2.default.createElement(_cspaceInput.TextInput, { name: 'viewersPersonalResponse', multiline: true }),
    _react2.default.createElement(
      _cspaceInput.CompoundInput,
      { name: 'viewersReferences' },
      _react2.default.createElement(_cspaceInput.TextInput, { name: 'viewersReference', repeating: true })
    ),
    _react2.default.createElement(_cspaceInput.TextInput, { name: 'viewersContributionNote', multiline: true })
  ),
  _react2.default.createElement(
    _Panel2.default,
    { name: 'referencePanel', collapsible: true, collapsed: true },
    _react2.default.createElement(
      _cspaceInput.CompoundInput,
      { name: 'referenceGroupList' },
      _react2.default.createElement(
        _cspaceInput.CompoundInput,
        { name: 'referenceGroup', tabular: true, repeating: true },
        _react2.default.createElement(_cspaceInput.AuthorityControlledInput, { name: 'reference' }),
        _react2.default.createElement(_cspaceInput.TextInput, { name: 'referenceNote' })
      )
    )
  ),
  _react2.default.createElement(
    _Panel2.default,
    { name: 'collectPanel', collapsible: true, collapsed: true },
    _react2.default.createElement(
      _Row2.default,
      null,
      _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(_cspaceInput.StructuredDateInput, { name: 'fieldCollectionDate' }),
        _react2.default.createElement(
          _cspaceInput.CompoundInput,
          { name: 'fieldCollectionMethods' },
          _react2.default.createElement(_cspaceInput.VocabularyControlledInput, { name: 'fieldCollectionMethod', repeating: true })
        ),
        _react2.default.createElement(_cspaceInput.TextInput, { name: 'fieldCollectionNote', multiline: true }),
        _react2.default.createElement(_cspaceInput.TextInput, { name: 'fieldCollectionNumber' })
      ),
      _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(_cspaceInput.AuthorityControlledInput, { name: 'fieldCollectionPlace' }),
        _react2.default.createElement(
          _cspaceInput.CompoundInput,
          { name: 'fieldCollectionSources' },
          _react2.default.createElement(_cspaceInput.AuthorityControlledInput, { name: 'fieldCollectionSource', repeating: true })
        ),
        _react2.default.createElement(
          _cspaceInput.CompoundInput,
          { name: 'fieldCollectors' },
          _react2.default.createElement(_cspaceInput.AuthorityControlledInput, { name: 'fieldCollector', repeating: true })
        ),
        _react2.default.createElement(
          _cspaceInput.CompoundInput,
          { name: 'fieldColEventNames' },
          _react2.default.createElement(_cspaceInput.TextInput, { name: 'fieldColEventName', repeating: true })
        )
      )
    )
  )
);