'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = pageTitle;

var _immutable = require('immutable');

var _immutable2 = _interopRequireDefault(_immutable);

var _recordDataHelpers = require('../../../helpers/recordDataHelpers');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function pageTitle(cspaceDocument) {
  if (!cspaceDocument) {
    return '';
  }

  var common = (0, _recordDataHelpers.getPart)(cspaceDocument, 'collectionobjects_common');

  if (!common) {
    return '';
  }

  var objectNumber = common.get('objectNumber');
  var titleGroupList = common.get('titleGroupList');

  var title = void 0;

  if (titleGroupList) {
    var titleGroup = titleGroupList.get('titleGroup');

    if (_immutable2.default.List.isList(titleGroup)) {
      titleGroup = titleGroup.first();
    }

    title = titleGroup ? titleGroup.get('title') : null;
  }

  var parts = [];

  [objectNumber, title].forEach(function (part) {
    if (part) {
      parts.push(part);
    }
  });

  return parts.join(' – ');
}