'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getUserUsername = getUserUsername;
exports.getLoginContinuation = getLoginContinuation;
exports.getLoginUsername = getLoginUsername;
exports.isLoginPending = isLoginPending;
exports.getLoginResponse = getLoginResponse;
exports.getLoginError = getLoginError;
exports.isLogoutPending = isLogoutPending;
exports.getLogoutResponse = getLogoutResponse;
exports.getLogoutError = getLogoutError;
exports.getRecordData = getRecordData;
exports.getNewRecordData = getNewRecordData;
exports.isRecordReadPending = isRecordReadPending;
exports.isRecordSavePending = isRecordSavePending;
exports.isPanelCollapsed = isPanelCollapsed;

var _redux = require('redux');

var _reactRouterRedux = require('react-router-redux');

var _cspace = require('./cspace');

var _cspace2 = _interopRequireDefault(_cspace);

var _prefs = require('./prefs');

var fromPrefs = _interopRequireWildcard(_prefs);

var _user = require('./user');

var fromUser = _interopRequireWildcard(_user);

var _login = require('./login');

var fromLogin = _interopRequireWildcard(_login);

var _logout = require('./logout');

var fromLogout = _interopRequireWildcard(_logout);

var _record = require('./record');

var fromRecord = _interopRequireWildcard(_record);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = (0, _redux.combineReducers)({
  routing: _reactRouterRedux.routerReducer,
  cspace: _cspace2.default,
  login: fromLogin.default,
  logout: fromLogout.default,
  prefs: fromPrefs.default,
  user: fromUser.default,
  record: fromRecord.default
});
function getUserUsername(state) {
  return fromUser.getUsername(state.user);
}

function getLoginContinuation(state) {
  return fromLogin.getContinuation(state.login);
}

function getLoginUsername(state) {
  return fromLogin.getUsername(state.login);
}

function isLoginPending(state) {
  return fromLogin.isPending(state.login);
}

function getLoginResponse(state) {
  return fromLogin.getResponse(state.login);
}

function getLoginError(state) {
  return fromLogin.getError(state.login);
}

function isLogoutPending(state) {
  return fromLogout.isPending(state.logout);
}

function getLogoutResponse(state) {
  return fromLogout.getResponse(state.logout);
}

function getLogoutError(state) {
  return fromLogout.getError(state.logout);
}

function getRecordData(state, csid) {
  return fromRecord.getData(state.record, csid);
}

function getNewRecordData(state) {
  return fromRecord.getNewData(state.record);
}

function isRecordReadPending(state, csid) {
  return fromRecord.isReadPending(state.record, csid);
}

function isRecordSavePending(state, csid) {
  return fromRecord.isSavePending(state.record, csid);
}

function isPanelCollapsed(state, recordType, name) {
  return fromPrefs.isPanelCollapsed(state.prefs, recordType, name);
}