'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isPending = isPending;
exports.getResponse = getResponse;
exports.getError = getError;

var _actions = require('../actions');

exports.default = function () {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  var action = arguments[1];

  switch (action.type) {
    case _actions.LOGOUT_STARTED:
      return Object.assign({}, state, {
        isPending: true,
        response: null,
        error: null
      });
    case _actions.LOGOUT_FULFILLED:
      return Object.assign({}, state, {
        isPending: false,
        response: action.payload,
        error: null
      });
    case _actions.LOGOUT_REJECTED:
      return Object.assign({}, state, {
        isPending: false,
        response: null,
        error: action.payload
      });
    default:
      return state;
  }
};

function isPending(state) {
  return state.isPending;
}

function getResponse(state) {
  return state.response;
}

function getError(state) {
  return state.error;
}