'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isPanelCollapsed = isPanelCollapsed;

var _redux = require('redux');

var _actions = require('../actions');

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var collapsePanel = function collapsePanel(state, action) {
  var _action$meta = action.meta;
  var recordType = _action$meta.recordType;
  var name = _action$meta.name;


  var recordTypePanelStates = state[recordType];

  var updatedRecordTypePanelStates = Object.assign({}, recordTypePanelStates, _defineProperty({}, name, action.payload));

  return Object.assign({}, state, _defineProperty({}, recordType, updatedRecordTypePanelStates));
};

var panels = function panels() {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  var action = arguments[1];

  switch (action.type) {
    case _actions.COLLAPSE_PANEL:
      return collapsePanel(state, action);
    default:
      return state;
  }
};

exports.default = (0, _redux.combineReducers)({
  panels: panels
});
function isPanelCollapsed(store, recordType, name) {
  if (!(store && store.panels)) {
    return undefined;
  }

  var recordTypePanels = store.panels[recordType];

  if (!recordTypePanels) {
    return undefined;
  }

  return recordTypePanels[name];
}