'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getUsername = getUsername;

var _actions = require('../actions');

exports.default = function () {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  var action = arguments[1];

  switch (action.type) {
    case _actions.CSPACE_CONFIGURED:
      return Object.assign({}, state, {
        username: action.payload.username
      });
    case _actions.LOGIN_FULFILLED:
      return Object.assign({}, state, {
        username: action.meta.username
      });
    case _actions.LOGOUT_FULFILLED:
      return Object.assign({}, state, {
        username: null
      });
    default:
      return state;
  }
};

function getUsername(state) {
  return state.username;
}